Skip to content
Start here

List token validation rules

client.tokenValidation.rules.list(RuleListParams { zone_id, id, action, 7 more } params, RequestOptionsoptions?): V4PagePaginationArray<TokenValidationRule { action, description, enabled, 6 more } >
GET/zones/{zone_id}/token_validation/rules

Lists token validation rules for the zone, with filters for configuration, action, state, ID, and host.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account API GatewayAccount API Gateway ReadDomain API GatewayDomain API Gateway Read
ParametersExpand Collapse
params: RuleListParams { zone_id, id, action, 7 more }
zone_id: string

Path param: Identifier.

maxLength32
id?: string

Query param: Select rules with these IDs.

maxLength36
minLength36
action?: "log" | "block"

Query param: Action to take on requests that match operations included in selector and fail expression.

One of the following:
"log"
"block"
enabled?: boolean

Query param: Toggle rule on or off.

host?: string

Query param: Select rules with this host in include.

formathostname
maxLength255
hostname?: string

Query param: Select rules with this host in include.

formathostname
maxLength255
page?: number

Query param: Page number of paginated results.

minimum1
per_page?: number

Query param: Maximum number of results per page.

maximum50
minimum5
rule_id?: string

Query param: Select rules with these IDs.

maxLength36
minLength36
token_configuration?: Array<string>

Query param: Select rules using any of these token configurations.

ReturnsExpand Collapse
TokenValidationRule { action, description, enabled, 6 more }

A Token Validation rule that can enforce security policies using JWT Tokens.

action: "log" | "block"

Action to take on requests that match operations included in selector and fail expression.

One of the following:
"log"
"block"
description: string

A human-readable description that gives more details than title.

maxLength500
enabled: boolean

Toggle rule on or off.

expression: string

Rule expression. Requests that fail to match this expression will be subject to action.

For details on expressions, see the Cloudflare Docs.

selector: Selector { exclude, include }

Select operations covered by this rule.

For details on selectors, see the Cloudflare Docs.

exclude?: Array<Exclude> | null

Ignore operations that were otherwise included by include.

operation_ids?: Array<string>

Excluded operation IDs.

include?: Array<Include> | null

Select all matching operations.

host?: Array<string>

Included hostnames.

title: string

A human-readable name for the rule.

maxLength50
id?: string

UUID.

maxLength36
minLength36
created_at?: string
formatdate-time
last_updated?: string
formatdate-time

List token validation rules

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const tokenValidationRule of client.tokenValidation.rules.list({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(tokenValidationRule.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "action": "log",
      "description": "Long description for Token Validation Rule",
      "enabled": true,
      "expression": "is_jwt_valid(\"52973293-cb04-4a97-8f55-e7d2ad1107dd\") or is_jwt_valid(\"46eab8d1-6376-45e3-968f-2c649d77d423\")",
      "selector": {
        "exclude": [
          {
            "operation_ids": [
              "f9c5615e-fe15-48ce-bec6-cfc1946f1bec",
              "56828eae-035a-4396-ba07-51c66d680a04"
            ]
          }
        ],
        "include": [
          {
            "host": [
              "v1.example.com",
              "v2.example.com"
            ]
          }
        ]
      },
      "title": "Example Token Validation Rule",
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "last_updated": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "action": "log",
      "description": "Long description for Token Validation Rule",
      "enabled": true,
      "expression": "is_jwt_valid(\"52973293-cb04-4a97-8f55-e7d2ad1107dd\") or is_jwt_valid(\"46eab8d1-6376-45e3-968f-2c649d77d423\")",
      "selector": {
        "exclude": [
          {
            "operation_ids": [
              "f9c5615e-fe15-48ce-bec6-cfc1946f1bec",
              "56828eae-035a-4396-ba07-51c66d680a04"
            ]
          }
        ],
        "include": [
          {
            "host": [
              "v1.example.com",
              "v2.example.com"
            ]
          }
        ]
      },
      "title": "Example Token Validation Rule",
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "last_updated": "2014-01-01T05:20:00.12345Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}